#ifndef ADATOK_HPP_INCLUDED
#define ADATOK_HPP_INCLUDED

#include <iostream>

#include "string5.h"
#include "privatszemely.h"
#include "publikusszemely.h"

//Adat class, ami kt classt tartalmaz
//PublikusAdat s PrivatAdatot
class Adatok  {
    //A kt leszrmaztatott osztly
    PublikusAdat pubad;
    PrivatAdat privad;
public:
    //Konstruktor
    Adatok(const PublikusAdat& pubad,const PrivatAdat& privad): pubad(pubad), privad(privad){}

    //Copy konstruktor
    Adatok(const Adatok& asd){
        privad = asd.privad;
        pubad = asd.pubad;
    }

    //Destruktor
    ~Adatok(){
    }

    //Egyenlsg opertor
    //Kt adatok tpust hasonlt ssze
    bool operator==(const Adatok& tbc){
        if (pubad == tbc.pubad && privad == tbc.privad){
            return true;
        }
        return false;
    }

    //Fggvny, ami visszadja a Adatok PrivatAdat tagjt
    PrivatAdat& getpriv() {
        return privad;
    }

    //Fggvny, ami visszadja a Adatok PublikusAdat tagjt
    PublikusAdat& getpubad(){
        return pubad;
    }
};

#endif // ADATOK_HPP_INCLUDED
