#ifndef ELEMENT_H_INCLUDED
#define ELEMENT_H_INCLUDED

#include <iostream>

//generikus tomb amiben egy lncolt listban
//trolva vannak az adatok
template<class T>

//Element class, ebben van trolva az Adatok
class Element {

public:
    //A kvetkez elemre mutat pointer
    Element* next;

    //Az tartalmazott Adatok tagnak az rtke
    //az az a PrivatAdat s a PublikusAdat
    T value;

    //Konstruktor, a kvetkez elemet automatikusan
    //NULL-ra lltja
    Element<T>(const T& val) : value(val) {next = NULL;};

    //Fggvny, ami visszaadja a kvetkez
    //elemre mutat pointert
    //next pointerrel return-l
    Element* getNext() { return next; }

    //Fggvny ami visszaadja a trolt adat value-jt
    //(lsd feljebb)
    //value-val return-l
    T getValue() const { return value; }

    //Fggvny, ami a next pointert tudja
    //belltani a megadott pointerre
    void setNext(Element* ne) { next=ne; }

    //Fggvny ami az adott tag rtkt tudja lltani
    void setValue(const T& val) { value=val; }

    //Destruktor
    ~Element(){}
};

#endif // ELEMENT_H_INCLUDED
