#ifndef PRIVATSZEMELY_H_INCLUDED
#define PRIVATSZEMELY_H_INCLUDED

//PrivatAdat class, itt vannak trolva a privt adatok:
//becenv, lakcm, privt telefonszm
class PrivatAdat {
    //A hrom trolt adat
    String becenev;
    String cim;
    String privatsz;
public:
    //Default konstruktor, minden adatot "0"-ra llt alaphelyzetben
    PrivatAdat(): becenev("0"), cim("0"), privatsz("0"){}

    //Konstruktor
    PrivatAdat(String becenev, String cim, String privatsz): becenev(becenev), cim(cim), privatsz(privatsz) {}

    //Copy konstruktor
    PrivatAdat(const PrivatAdat& dt){
        becenev = dt.becenev;
        cim = dt.cim;
        privatsz = dt.privatsz;
    }

    //Egyenlsg vizsglat opertor
    //igazzal tr vissza, ha minden adat egyenl
    //egybknt pedig hamissal
    bool operator==(const PrivatAdat& tbc){
        if (becenev == tbc.becenev && cim == tbc.cim && privatsz == tbc.privatsz){
            return true;
        }
        return false;
    }

    //Sima egyenlsg opertor
    //Mindegyik adatot, a megadott tpussal teszi egyenlv
    PrivatAdat& operator=(const PrivatAdat& kok){
        becenev = kok.becenev;
        cim = kok.cim;
        privatsz = kok.privatsz;
        return *this;
    }

    //Fggvny, ami visszatr a nvvel
    const String& getnev() {
        return becenev;
    }

    //Fggvny, ami visszatr a lakcmvel
    const String& getcim(){
        return cim;
    }

    //Fggvny, ami visszatr a privtszmval
    const String& getprivatsz(){
        return privatsz;
    }
};

#endif // PRIVATSZEMELY_H_INCLUDED
